#!BPY
"""
Name: 'MTM exporter'
Blender: 245
Group: 'Export'
Tooltip: 'Objects with texture coord exporter by Razi'
"""
import Blender
import bpy

def write_obj(filepath):
	out = file(filepath, 'w')
	sce = bpy.data.scenes.active
	ob = sce.objects.active
	mesh = ob.getData(mesh=1)
	n=0
	for vert in mesh.verts:
		n=n+1
	out.write( '%d\n' % (n) )
	for vert in mesh.verts:
		out.write( '%f %f %f' % (vert.co.x, vert.co.y, vert.co.z) )
		out.write( ' %f %f %f\n' % (vert.no.x, vert.no.y, vert.no.z) )
	n=0
	for face in mesh.faces:
		n=n+1
	out.write('%d\n' % (n) )
	for face in mesh.faces:
		n=0
		for vert in face.v:
			n=n+1
		
		out.write('%d %f %f %f' % (n, face.no.x,face.no.y,face.no.z) )
		i=0
		for vert in face.v:
			out.write( ' %f %f %i' % (face.uv[i].x, 1-face.uv[i].y, vert.index + 1) )
			i=i+1
		out.write('\n')
	out.close()
Blender.Window.FileSelector(write_obj, "Export")

