int sizeofChar(const char text[]){
	int i=0;
	for(i=0; text[i]; i++){}
	return i;
}
short charNumber(const char *letter){
	//printf("%s - %d\n", letter, short(letter[0]));
	if(sizeofChar(letter)==1) return short(letter[0]);
	else{
		short number=short(letter[0]);
		for(int i=1; i<sizeofChar(letter); i++){
			number=number<<8;
			number+=short(letter[i]);
		}
		return number;
	}
	return 0;
}
void SDL_PutPixel(SDL_Surface *ekran, int x, int y, Uint8 R, Uint8 G, Uint8 B)
{
	Uint8 *p = (Uint8 *)ekran->pixels + y * ekran->pitch + x * ekran->format->BytesPerPixel;
	if(SDL_BYTEORDER == SDL_BIG_ENDIAN)
	{
		p[0] = R;
		p[1] = G;
		p[2] = B;
	}
	else
	{
		p[0] = B;
		p[1] = G;
		p[2] = R;
	}
	SDL_UpdateRect(ekran, x, y, 1, 1);
}

struct charTexture{ //public:
	GLuint id;
	bool rendered;
	unsigned short w, h;
	void make(const char* letter){
		SDL_Surface *charTMP1;
		SDL_Surface *charTMP;
		SDL_Surface *charTexture;
		Uint32 rmask, gmask, bmask, amask;
		#if SDL_BYTEORDER == SDL_BIG_ENDIAN
		rmask = 0xff000000;
		gmask = 0x00ff0000;
		bmask = 0x0000ff00;
		amask = 0x000000ff;
		#else
		rmask = 0x000000ff;
		gmask = 0x0000ff00;
		bmask = 0x00ff0000;
		amask = 0xff000000;
		#endif

		
		SDL_Color color;
		color.r=255;
		color.g=255;
		color.b=255;
		charTMP=TTF_RenderUTF8_Blended(font,letter,color);
		
		SDL_Rect rect;
			rect.x=0;
			rect.y=0;
			rect.w=charTMP->w;
			rect.h=charTMP->h;
		
		charTexture=SDL_CreateRGBSurface(SDL_SWSURFACE|SDL_SRCALPHA, 64,64, 32,
									 rmask, gmask, bmask, amask);
		if(charTexture==NULL) printf("ERROR");
		
		//printf("%dx%d = %dx%d\n", charTMP->w, charTMP->h, charTexture->w, charTexture->h);
		
		SDL_BlitSurface(charTMP, NULL, charTexture, &rect);
		w=charTMP->w;
		h=charTMP->h;
		
		glGenTextures(1, &id);
		glBindTexture(GL_TEXTURE_2D, id);
		gluBuild2DMipmaps(GL_TEXTURE_2D, 4,
		//				  charTexture->w, charTexture->h, GL_RGBA,GL_UNSIGNED_BYTE, charTexture->pixels);
						  charTMP->w, charTMP->h, GL_RGBA,GL_UNSIGNED_BYTE, charTMP->pixels);
		//				  charTMP->w, 64, GL_RGBA,GL_UNSIGNED_BYTE, charTMP->pixels);
		//glTexImage2D(GL_TEXTURE_2D, 0, 4, charTexture->w, charTexture->h, 0, GL_RGBA, GL_UNSIGNED_BYTE, charTexture->pixels); 
		glTexParameteri(GL_TEXTURE_2D,GL_TEXTURE_MIN_FILTER,GL_LINEAR_MIPMAP_LINEAR);
		glTexParameteri(GL_TEXTURE_2D,GL_TEXTURE_MAG_FILTER,GL_LINEAR_MIPMAP_LINEAR);
		SDL_FreeSurface(charTMP);
		SDL_FreeSurface(charTexture);
		rendered=true;
		printf("char %s rendered at: %d\n", letter, id);
	}
	int draw(int x, int y){
		//if(id<=0) make()
		//printf("render %d\n", x);
 		glBindTexture(GL_TEXTURE_2D, id);
		glBegin(GL_QUADS);
			glTexCoord2f(0,0); glVertex2f(x, y);
			glTexCoord2f(0,1); glVertex2f(x, y+h);
			glTexCoord2f(1,1); glVertex2f(x+w, y+h);
			glTexCoord2f(1,0); glVertex2f(x+w, y);
		glEnd();
		//printf("render %d, %d-%d\n", id, x, y);
// 		glBegin(GL_QUADS);
// 			glTexCoord2f(0,0); glVertex2f(x, y);
// 			glTexCoord2f(1,0); glVertex2f(x+64, y);
// 			glTexCoord2f(1,1); glVertex2f(x+64, y+64);
// 			glTexCoord2f(0,1); glVertex2f(x, y+64);
// 		glEnd();
		return w;
	}
	bool Crendered(const char letter[]){
		//printf("check %s-%d\n",letter, charNumber(letter)); 
		if(!rendered) 
			return false;
		return true;
	}
};

map<const short, charTexture> charMap;

int drawLetter(const char letter[], int x, int y){
	//printf("%s size: %d\n", letter, charNumber(letter));
	short number=charNumber(letter);
	if(!charMap[number].Crendered(letter)){
		charMap[number].make(letter);
	}
	//printf("render %d\n", number);
	return charMap[number].draw(x, y);
}

void drawText(const char text[], int x, int y, float r, float g, float b){
	int size=sizeofChar(text);
	char bufor[5];
	glColor3f(r,g,b);
	for(int i=0; i<size; i++){
		sprintf(bufor, "%c", text[i]);
		//printf("draw: %s\n", bufor);
		x+=drawLetter(bufor, x, y);
	}
	//printf("==%d\n",charMap["e"].id);
}
